* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  height: 100vh;
  background-color: #333;
  background-size: cover;
  background-repeat: no-repeat;

}

.navbar ul {
  font-family: 'Roboto';
  list-style: none;
  display: flex;
  justify-content: center;
  margin: 0;
  padding: 0;
  overflow: hidden;
  width: 100%;
  height: 12%;
}

.navbar li {
  display: inline-block;
}


.hamburger {
  display: none;
}
.navbar li a {
  display: block;
  color: white;
  text-align: center;
  padding: 35px 25px;
  font-size: 18px;
  text-decoration: none;
  transition: color 0.3s;
}

li a:hover {
  color: #ffcc00;
}

.about {
  color: #ffcc00 !important;
}

.about-me {
  display: flex;
  margin-top: 3%;
  justify-content: center;
  font-family: 'Roboto';
  font-size: 2.5rem;
  font-weight: bold;
  color: #f0f0f0;
}

.container {
  display: flex;
  flex-direction: row; 
  align-items: center;
  justify-content: space-between; 
  gap: 50px;
  margin: 2% auto;
  padding: 20px;
  width: 100%;
  max-width: 1200px;
}

.gif {
  width: 45%; 
  height: auto; 
}

.about-writing {
  width: 45%; 
  font-family: 'Roboto';
  font-size: 1.5rem;
  color: #f0f0f0;
  text-align: left;
  padding-right: 15px;
}

.button-container {
  display: flex;
  gap: 10px;
  justify-content: center;
  margin-top: 20px;
}

.button, .button1 {
  padding: 10px 20px;
  color: white;
  text-decoration: none;
  font-size: 16px;
  border-radius: 5px;
  text-align: center;
  transition: background-color 0.3s;
}

.button {
  background-color: hsl(97, 68%, 61%);
}

.button1 {
  background-color: #636363;
}

.button:hover {
  background-color: #468022;
}

.button1:hover {
  background-color: #444444;
}

.more-content {
  display: none;
  margin-top: 20px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s;
}

.more-content.open{
  max-height: 100px;
  overflow-y: scroll;
}

.buttonMore {
  display: flex;
  padding: 10px 20px;
  color: white;
  text-decoration: none;
  font-size: 16px;
  border-radius: 5px;
  text-align: center;
  background-color: hsl(97, 68%, 61%);
  transition: background-color 0.3s;
  cursor: pointer;
  border: none;
  margin-top: 15px;
}

.button:hover {
  background-color: #468022;
}




@media (max-width: 768px) {
  .container {
    flex-direction: column;
    align-items: center;
    padding: 10px;
  }

  li a {
    padding: 0px;
  }

  .gif {
    width: 100%;
    max-width: 300px;
    text-align: center;
    margin: 0 auto;
  }

  .about-writing {
    display: flex;
    width: 100%;
    text-align: center;
    padding-left: 15px;
    padding-right: 15px;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
}

  .button-container {
    flex-direction: column;
    gap: 5px;
    margin-top: 20px;
  }

  .button, .button1 {
    font-size: 14px;
    padding: 8px 25px;
    margin-left: 10px;
    margin-right: 10px;
  }

  .hr_menu  {
    display: none !important;
  }


  .navbar ul {
    display: none; 
    flex-direction: column;
    position: fixed; 
    top: -20px;
    left: 0;
    width: 100vw;
    list-style: none;
    height: 60vh;
    background: #333; 
    padding: 20px 0;
    z-index: 5;
}

.navbar li a{
  padding: 10px;
}

.navbar ul li {
    margin: 15px 0;
    padding: 10px 0;
    z-index: 0;
}


.navbar ul.open {
    display: flex;
}


.hamburger {
  display: block;
  cursor: pointer;
  font-size: 24px;
  color: white;
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 6;
}
}
